Bug#874487: Debian mirror mirrors.gigenet.com: missing-tracefile, syncscript

2018-12-06 Thread Scott Ehas
Hello, We have removed the straight Rsync command, and implemented the ftpsync. Please let us know if you spot any issues. Thanks, Scott Ehas On Fri, Nov 30, 2018 at 3:40 PM Scott Ehas wrote: > Hello Ameen, > > The code is using rsync, and doesn't have ftpsync built-in. I'll have to >

Bug#874487: Debian mirror mirrors.gigenet.com: missing-tracefile, syncscript

2018-12-06 Thread Peter Palfrader
On Wed, 05 Dec 2018, Scott Ehas wrote: > We have removed the straight Rsync command, and implemented the ftpsync. > Please let us know if you spot any issues. Hm. It seems it's still running since there's Archive-Update-* flagfiles in http://mirrors.gigenet.com/debian/ and

Bug#908925: ETA for upload of German debconf translation?

2018-12-06 Thread Helge Kreutzmann
Hello Paride, several month ago the German debconf translation for s-nail was provided, including an update for the new strings. Do you have an ETA for uplaoding it, probably together with the Dutch, French and Portuguese translation? Thanks! Greetings Helge -- Dr. Helge

Bug#915053: gitlab: Err 500 when go to the project page(any project)

2018-12-06 Thread Pirate Praveen
On 12/4/18 10:03 PM, Dragos Jarca wrote: > > Yes, tried on different browsers, different os, different browsers on > moile phones, smart tb browser, etc. I have just uploaded gitlab 11.4.9 to experimental. See if that fixes the issues. signature.asc Description: OpenPGP digital signature

Bug#908173: ETA for upload of German debconf translation?

2018-12-06 Thread Helge Kreutzmann
Hello Mathias F, several month ago the German debconf transltion for dump1090-mutability was provided. Do you have an ETA for uplaoding them, probably together with the Dutch and French translation? Thanks! Greetings Helge -- Dr. Helge Kreutzmann

Bug#907588: ETA for upload of German debconf translation?

2018-12-06 Thread Helge Kreutzmann
Hello Thomas , several month ago the German debconf translation for upnpd was provided. Do you have an ETA for uplaoding them, probably together with the Dutch, French and Portuguese translation? Thanks! Greetings Helge -- Dr. Helge Kreutzmann

Bug#915699: phppgadmin is not compatible with php 7

2018-12-06 Thread Ladislav Wartha
Package: phppgadmin Severity: grave Tags: patch Justification: renders package unusable Dear Maintainer, * What led up to the situation? Simply PHP 7.0 stopped accepting old syntax of php 5, and php 7 is now default * What exactly did you do (or not do) that was effective (or

Bug#915702: RM: ruby-gemnasium-gitlab-service -- ROM; obsolete, not required for gitlab 11.x

2018-12-06 Thread Pirate Praveen
Package: ftp.debian.org Severity: normal This was packaged as a dependency of gitlab, but from gitlab 11.x, it is no longer a dependency. There are no other reverse dependencies. signature.asc Description: OpenPGP digital signature

Bug#912951: Why Midori browser 6.0 is still not in Debian repositories

2018-12-06 Thread UAB "Bona Mens" paslaugos
Hi Dominik, Thanks for maintaining new Midori browser in Debian. Could you tell me why Midori browser 6.0 is still not in Debian repositories - it's in New queue for about a month: https://ftp-master.debian.org/new/midori_6.0-1.html Thanks, Mantas -- IT paslaugos įmonėms, prekyba

Bug#915704: gpuowl: Request for sponsorship for the gpuowl program.

2018-12-06 Thread Valerio Bellizzomi
Package: gpuowl Version: 5.0 Severity: wishlist Dear Maintainer, I would like to see the gpuowl program uploaded into Debian, http://github.com/preda/gpuowl I started packaging the program for Debian with the pbuilder tool. Greetings, Valerio Bellizzomi -- System Information: Debian Release:

Bug#915612: [Pkg-openssl-devel] Bug#915612: openssl: "genrsa" changed command line interface in stretch-security update

2018-12-06 Thread Manuel Montecelo
Hi, 2018-12-06 00:10 Kurt Roeckx: On Wed, Dec 05, 2018 at 10:03:50PM +0100, Sebastian Andrzej Siewior wrote: On 2018-12-05 11:09:25 [+0100], Manuel Montecelo wrote: > the subcommand genrsa changed interface from its previous version, and does not > accept -config or -batch options anymore: …

Bug#915709: gst-plugins-bad1.0 FTBFS against opencv 3.4.4 in experimental

2018-12-06 Thread Mo Zhou
Source: gst-plugins-bad1.0 Version: 1.14.4-1 Severity: important builddlog attached. gst-plugins-bad1.0_1.14.4-1_amd64-2018-12-06T04:04:31Z.build.xz Description: application/xz

Bug#915705: Team maintenance

2018-12-06 Thread Iain Lane
Package: src:appstream-glib Severity: wishlist Hey ximion, Hope all's good! What do you think about making the Maintainer of as-glib the pkgutopia-team and having yourself in Uploaders? Looks like a couple of us have been 'illegally' contributing to it from time to time, since the maintainer is

Bug#915706: 9.6.0 DVD and XFCE CD for mipsel are actually netinst

2018-12-06 Thread seamlik
Package: debian-installer Severity: serious I tried "debian-9.6.0-mipsel-xfce-CD-1.iso" and "debian-9.6.0-mipsel-DVD-1.iso" on QEMU and found that both images are actually "netinst" variant. After I chose my country and defined the hostname, the installer forced me to choose a mirror. After

Bug#821408: Pam 1.3.0

2018-12-06 Thread Andreas Henriksson
Hi Florian, On Mon, Dec 03, 2018 at 10:13:23PM +0100, Florian Vessaz wrote: [...] > I updated my Git repository such that it now contains pam 1.3.1, the > changes from the previous NMUs, your changes and additional small > changes to address some of the lintian warnings. Thanks for doing that

Bug#856505: Sound working on the pi3b with eHenry's patch

2018-12-06 Thread Santiago Garcia Mantinan
I've compiled a Debian 4.19 kernel with your sugested patch to enable audio and reverting another one to fix the WiFi problem and I now have both audio and WiFi working. I'll send proper patches as soon as I have time, but it works. Regards. -- Santiago García Mantiñán

Bug#880479: RFP: shotcut -- video editing application

2018-12-06 Thread Gürkan Myczko
I guess I'll try this one. If anyone wants to test: http://phd-sid.ethz.ch/debian/shotcut/

Bug#915710: libkf5kface FTBFS against opencv 3.4.4 in experimental

2018-12-06 Thread Mo Zhou
Source: libkf5kface Version: 17.08.1 Severity: important builddlog attached. libkf5kface_17.08.1-1_amd64-2018-12-06T04:21:30Z.build.xz Description: application/xz

Bug#915711: mldemos FTBFS against opencv 3.4.4 in experimental

2018-12-06 Thread Mo Zhou
Source: mldemos Version: 0.5.1+git.1.ee5d11f-4 Severity: important builddlog attached. mldemos_0.5.1+git.1.ee5d11f-4_amd64-2018-12-06T04:29:45Z.build.xz Description: application/xz

Bug#915712: php-facedetect FTBFS against opencv 3.4.4 in experimental

2018-12-06 Thread Mo Zhou
Source: php-facedetect Version: 1.1.0+git20170801-2 Severity: important buildlog attached. php-facedetect_1.1.0+git20170801-2_amd64-2018-12-06T06:23:12Z.build.xz Description: application/xz

Bug#915713: ghc-testsuite build depends on ghc (< 8.2.2+) but 8.4.4+dfsg1-1 is to be installed

2018-12-06 Thread Adrian Bunk
Source: ghc-testsuite Version: 8.2.2-2 Severity: serious Tags: ftbfs The following packages have unmet dependencies: builddeps:ghc-testsuite : Depends: ghc (< 8.2.2+) but 8.4.4+dfsg1-1 is to be installed

Bug#915699: phppgadmin is not compatible with php 7

2018-12-06 Thread Jehan-Guillaume (ioguix) de Rorthais
It seems the main project leader came back to maintain the project. See: https://xzilla.net//blog/2018/Nov/The-Ghost-of-phpPgAdmin.html According to this blog post, support for PHP 7 is expected soon or later. On Thu, 06 Dec 2018 09:45:09 +0100 Ladislav Wartha wrote: > Package: phppgadmin >

Bug#908925: ETA for upload of German debconf translation?

2018-12-06 Thread Paride Legovini
Helge Kreutzmann wrote on 06/12/2018: > Hello Paride, > several month ago the German debconf translation for > s-nail was provided, including an update for the new strings. > > Do you have an ETA for uplaoding it, probably together with the > Dutch, French and Portuguese translation? Hello

Bug#876608: ruby-compass (build) depends on ruby-sass (< 3.5), but 3.5.1-2 is in unstable

2018-12-06 Thread 李健秋
Source: ruby-compass Followup-For: Bug #876608 Yes, I checked the upstream is dead. However there are pull request to fix this available on upstream's github: https://github.com/Compass/compass/pull/2140 Please consider to include this in the package to unblock people who work on other packages

Bug#906609: gnucash: FTBFS on mips/sid: Segmentation fault

2018-12-06 Thread Chris Lamb
found 906609 1:3.3-2 thanks (Tagging with correct version...) Regards, -- ,''`. : :' : Chris Lamb `. `'` la...@debian.org / chris-lamb.co.uk `-

Bug#914928: ITP: python-typing-extensions -- Backported and Experimental Type Hints for Python

2018-12-06 Thread Piotr Ożarowski
> The typing module was added to the standard library in Python 3.5 on a > provisional basis and will no longer be provisional in Python 3.7. However, > this means users of Python 3.5 - 3.6 who are unable to upgrade will not be > able to take advantage of new types added to the typing module,

Bug#915701: RM: ruby-d3-rails -- ROM; obsolete, not required for gitlab 11.x

2018-12-06 Thread Pirate Praveen
Package: ftp.debian.org Severity: normal This was packaged as a dependency of gitlab, but from gitlab 11.x, it is no longer a dependency. There are no other reverse dependencies. signature.asc Description: OpenPGP digital signature

Bug#915700: RM: ruby-allocations -- ROM; obsolete, not required for gitlab 11.x

2018-12-06 Thread Pirate Praveen
Package: ftp.debian.org Severity: normal This was packaged as a dependency of gitlab, but from gitlab 11.x, it is no longer a dependency. There are no other reverse dependencies. signature.asc Description: OpenPGP digital signature

Bug#915661: context: upgrade of context hangs on "Pregenerating ConTeXt MarkIV format."

2018-12-06 Thread Vincent Lefevre
On 2018-12-06 11:08:47 +0900, Norbert Preining wrote: > Which version do you have installed of texlive-binaries? At least none > that is in any archive version at the moment, right? Indeed, everything is fine with the texlive-binaries that is in testing and unstable (2018.20181104.49075-2).

Bug#914732: lists.debian.org: Request for new mailing list: debian-dug-muc

2018-12-06 Thread Jan-Marek Glogowski
On Tue, 4 Dec 2018 22:07:43 +0100 Alexander Wirt wrote: > On Mon, 26 Nov 2018, Michael Banck wrote: > This request is missing seconders. Please add the list. Working around the missing mailing list via some IRC pings doesn't really scale. More so that not all interested people are always online

Bug#915787: gitlab: Installation failure

2018-12-06 Thread Pranith Kumar
Package: gitlab Version: 11.3.11+dfsg-1 Severity: important Dear Maintainer, When trying to install gitlab using "apt install gitlab", it fails with the following error message. The user chosen to run gitlab was 'www-data'. Setting up gitlab (11.3.11+dfsg-1) ... /usr/local/bin/bundle:22:in

Bug#915788: RFP: zlint -- X.509 certificate linter

2018-12-06 Thread Daniel Kahn Gillmor
Package: wnpp Severity: wishlist * Package name: zlint Version : 0.0.20181123 Upstream Author : Regents of the University of Michigan * URL : https://github.com/zmap/zlint * License : Apache 2.0 Programming Lang: Go Description : X.509 certificate

Bug#915390: clazy: Segmentation fault compiling any file

2018-12-06 Thread Lisandro Damián Nicanor Pérez Meyer
For what I could see in the source the solution is to either set CLANGXX (maybe check if it is not defined and then define it?) or modifying the script in another way. At least in unstable this is not a problem right now as the default LLVM is now 7, but a more robust solution could help. --

Bug#915791: tomcat9: broken symlinks: /var/lib/tomcat9/{logs,work}

2018-12-06 Thread Andreas Beckmann
Package: tomcat9 Version: 9.0.13-2 Severity: important User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package ships (or creates) a broken symlink. >From the attached log (scroll to the bottom...): 0m40.0s ERROR: FAIL: Broken symlinks:

Bug#915390: clazy: Segmentation fault compiling any file

2018-12-06 Thread Lisandro Damián Nicanor Pérez Meyer
El jueves, 6 de diciembre de 2018 17:02:22 -03 Lisandro Damián Nicanor Pérez Meyer escribió: > For what I could see in the source the solution is to either set CLANGXX > (maybe check if it is not defined and then define it?) or modifying the > script in another way. > > At least in unstable this

Bug#915798: wbar: reproducible build (usrmerge): embeds path of pidof found in PATH

2018-12-06 Thread Andreas Henriksson
Source: wbar Version: 2.3.4-8 Severity: normal User: m...@linux.it Usertags: usrmerge Forwarded: https://salsa.debian.org/debian/wbar/merge_requests/1 Dear Maintainer, The package fails to build reproducibly in a merged-usr vs non-merged environment. Please see proposed trivial change to

Bug#915799: general: libGL.so.1 Missing

2018-12-06 Thread Finn Haese
Package: general Severity: important Dear Maintainer, Steam fails to start, libGL.so.1 is missing. Not able to submit bug for "Steam", not found in list of packages when trying to submit bug. -- System Information: Debian Release: 9.6 APT prefers stable-updates APT policy: (500,

Bug#915658: gnome-applets: Fails to build reproducibly: embeds path of su found via PATH

2018-12-06 Thread Andreas Henriksson
Control: tags -1 + pending Hello Gunnar, On Wed, Dec 05, 2018 at 10:19:34AM -0600, Gunnar Wolf wrote: > Source: gnome-applets > Version: 3.30-0-1 > Severity: important > User: m...@linux.it > Usertags: usrmerge > > Hello, > > You might be aware on the current discussion regarding >

Bug#915801: cairo: CVE-2018-19876

2018-12-06 Thread Salvatore Bonaccorso
Source: cairo Version: 1.16.0-1 Severity: important Tags: security upstream Forwarded: https://gitlab.freedesktop.org/cairo/cairo/merge_requests/5 Hi, The following vulnerability was published for cairo. CVE-2018-19876[0]: | cairo 1.16.0, in cairo_ft_apply_variations() in cairo-ft-font.c, would

Bug#913946: llvm*7 unstripped

2018-12-06 Thread Rebecca N. Palmer
Control: retitle -1 llvm*: not properly stripped, -dbgsym missing Control: tags -1 - patch dh_strip uses objcopy as well as strip, so we might need to similarly force that to the LLVM version. On 05/12/2018 22:50, Sven Joachim wrote: the installed libraries are unstripped, While this could

Bug#915785: perl6-zef: unowned directory after purge: /usr/lib/perl6/vendor/resources/

2018-12-06 Thread Andreas Beckmann
Package: perl6-zef Version: 0.5.3-1 Severity: important User: debian...@lists.debian.org Usertags: piuparts Hi, during a test with piuparts I noticed your package left unowned directories on the system after purge, which is a violation of policy 6.8:

Bug#915718: RFS: arno-iptables-firewall/2.0.3-1 [ITA]

2018-12-06 Thread Marcos Fouces
Hello Sven As Adam stated, you should reconsider this change. I cannot see any reason no to be backward compatible with sysvinit. There is also some Lintian informative and pedantic tags that are triggered. I found most of them reasonable, so it should also a good idea to address them. BTW:

Bug#915623: printer-driver-postscript-hp: Need not depend on hplip

2018-12-06 Thread Didier 'OdyX' Raboud
Control: tags -1 +pending Le mercredi, 5 décembre 2018, 13.04:39 h CET Brian Potkin a écrit : > However, since 3.17.10+repack0-6 the hpps filter has moved from hplip > to printer-driver-postcript-hp. I'd suggest that hplip (and python3 and > xz-utils?) could be dropped as a Depends: and made a

Bug#915792: RFS: grim/1.0+ds-1 ITP

2018-12-06 Thread Birger Schacht
Package: sponsorship-requests Severity: wishlist Dear mentors, I am looking for a sponsor for my package "grim" * Package name : grim Version : 1.0+ds-1 Upstream Author : Simon Ser * Url : https://wayland.emersion.fr/grim/ * Licenses : Expat Programming

Bug#915795: RM: italc -- ROM; iTALC has been continued as Veyon

2018-12-06 Thread Mike Gabriel
Package: ftp.debian.org Severity: normal Hi, please remove the italc src:package from testing/unstable. It will be replaced by src:package veyon which I have just uploaded to Debian's NEW queue. Veyon is developed by the same upstream who worked on iTALC. Veyon is a more secure and

Bug#915796: mbedtls: CVE-2018-19608: Local timing attack on RSA decryption

2018-12-06 Thread Salvatore Bonaccorso
Source: mbedtls Version: 2.13.0-3 Severity: grave Tags: security upstream Hi, The following vulnerability was published for mbedtls. CVE-2018-19608[0]: | Arm Mbed TLS before 2.14.1, before 2.7.8, and before 2.1.17 allows a | local unprivileged attacker to recover the plaintext of RSA |

Bug#915797: /etc/sysctl.d/protect-links.conf should be in /usr/lib/sysctl.d/

2018-12-06 Thread Josh Triplett
Package: procps Version: 2:3.3.15-2 Severity: normal File: /etc/sysctl.d/protect-links.conf protect-links.conf is supplied by Debian, and should be in /usr/lib/sysctl.d/ ; the sysadmin can still override it by creating /etc/sysctl.d/protect-links.conf . -- System Information: Debian Release:

Bug#889803: add package with cd-paranoia binary

2018-12-06 Thread Benjamin Barenblat
Niels, it looks like you uploaded src:libcdio-paranoia 10.2+0.94+2-4, removing the cd-paranoia binary package, because cd-paranoia(1) is already included in the libcdio-utils package. However, if you look at libcdio-utils in sid, you’ll see this is no longer the case – there is currently no

Bug#915800: standardize on either _ or - for bash-completions

2018-12-06 Thread 積丹尼 Dan Jacobson
Package: kmod Version: 25-2 Severity: wishlist File: /bin/kmod The bash-completions for # modprobe usb usb-common usb_f_ecm_subsetusb_f_phonetusb_gigaset usbip-vudc usbtmc usb-serial-simple usb_f_eem usb_f_printer usb_wwan

Bug#727170: closed by Bart Martens (closing RFP: lua-alien -- Pure Lua extensions)

2018-12-06 Thread Axel Beckert
Control: reopen -1 Debian Bug Tracking System wrote: > RFP 727170 has no visible progress for a long time, so closing. Bart, when do you finally stop messing around with bug reports you have no idea of (and probably have never read)?!? This time Cc'ing the MIA team since you haven't reacted on

Bug#915794: fwupd: Wacom tablet stops working when fwupd runs

2018-12-06 Thread Jason Gerecke
Source: fwupd Version: 1.1.4-1 Severity: normal Tags: upstream Dear Maintainer, Certain Wacom tablets appear to be incompatible with fwupd and stop working as soon as the fwupd service starts. Because the fwupd service starts a few seconds after the desktop loads on my test machine, the tablet

Bug#887394: Packaging Veyon (was: Re: Accepted italc 1:3.0.3+dfsg1-2 (source) into unstable)

2018-12-06 Thread Mike Gabriel
Hi, On Do 06 Dez 2018 16:07:31 CET, Mike Gabriel wrote: PS: upload will come soon... Uploaded 20min ago. Mike -- DAS-NETZWERKTEAM mike gabriel, herweg 7, 24357 fleckeby mobile: +49 (1520) 1976 148 landline: +49 (4354) 8390 139 GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22 0782 9AF4 6B30

Bug#915729: /usr/include/czmq_prelude.h:700:17: fatal error: uuid.h: No such file or directory

2018-12-06 Thread Luca Boccassi
On Thu, 6 Dec 2018 16:05:21 +0100 Michael Biebl wrote: > Am 06.12.18 um 15:49 schrieb Luca Boccassi: > > That header has always been a torn in the side, and should have _never_ > > been a public one, but unfortunately it's too late now. > >  > > I'm actually wondering how it can work anywhere

Bug#915634: printer-driver-hpcups: PPDs for fax functionality

2018-12-06 Thread Till Kamppeter
On 06/12/2018 21:57, Didier 'OdyX' Raboud wrote: Control: tags -1 +help Le mercredi, 5 décembre 2018, 13.57:04 h CET Brian Potkin a écrit : The file list for printer-driver-hpcups is: … But the package description says: It does not provide PPDs for the fax functionality of HP's multi-

Bug#915652: ganeti: Fails to build reproducibly: embeds path of ip found via PATH

2018-12-06 Thread Andreas Henriksson
Control: tags -1 + patch Hi Apollon, On Wed, Dec 05, 2018 at 07:56:20PM +0200, Apollon Oikonomopoulos wrote: > Control: tags -1 upstream confirmed > > Hi Gunnar, > > On 09:50 Wed 05 Dec , Gunnar Wolf wrote: > > We have found ganeti to embed the system path for ip — which is /bin > > on

Bug#915414: [apt-cacher-ng] Cap on cache size feature request

2018-12-06 Thread OmegaPhil
On 05/12/2018 17:02, Eduard Bloch wrote: > Hallo, > * OmegaPhil [Tue, Dec 04 2018, 10:32:27PM]: >> On 04/12/2018 22:12, Eduard Bloch wrote: >>> Hallo, >>> * OmegaPhil [Mon, Dec 03 2018, 04:28:36PM]: Package: apt-cacher-ng Version: 2-2 Severity: wishlist Please can

Bug#915790: transition: lm-sensors

2018-12-06 Thread Aurelien Jarno
Package: release.debian.org Severity: normal User: release.debian@packages.debian.org Usertags: transition A new version of lm-sensors has been released recently, which introduces a new ABI, but very limited API change (only some enums). This new upstream version notably adds support for the

Bug#915148: [Pkg-cmake-team] Bug#915148: cmake: regression in ros-ros-comm build

2018-12-06 Thread Jochen Sprickerhof
control: reopen -1 control: reassign -1 src:cmake control: affects -1 ros-ros-comm control: tags -1 - patch Hi, after reading up on this, I think this needs fixing in cmake. man gcc: | -pthread | | Define additional macros required for using the POSIX threads | library. You should use this

Bug#915786: ITP: sphinx-automodapi -- Sphinx extension for generating API documentation

2018-12-06 Thread Ole Streicher
Package: wnpp Severity: wishlist Owner: Ole Streicher X-Debbugs-Cc: debian-pyt...@lists.debian.org, debian-de...@lists.debian.org * Package name : sphinx-automodapi Version : 0.9 Upstream Author : Thomas Robitaillie * URL : https://astropy.org/sphinx-automodapi *

Bug#915789: ITP: python-flask-cors -- Flask extension for handling CORS

2018-12-06 Thread Stewart Ferguson
Package: wnpp Owner: Stewart Ferguson Severity: wishlist * Package name: python-flask-cors Version : 3.0.7 Upstream Author : Cory Dolphin * URL : http://flask-cors.corydolphin.com * License : MIT Programming Lang: Python Description : Flask extension

Bug#915793: RFS: slurp/1.0-1 ITP

2018-12-06 Thread Birger Schacht
Package: sponsorship-requests Severity: wishlist Dear mentors, I am looking for a sponsor for my package "slurp" * Package name : slurp Version : 1.0-1 Upstream Author : Simon Ser * Url : https://wayland.emersion.fr/slurp/ * Licenses : Expat Programming

Bug#915634: printer-driver-hpcups: PPDs for fax functionality

2018-12-06 Thread Didier 'OdyX' Raboud
Control: tags -1 +help Le mercredi, 5 décembre 2018, 13.57:04 h CET Brian Potkin a écrit : > The file list for printer-driver-hpcups is: > > … > > But the package description says: > > It does not provide PPDs for the fax functionality of HP's multi- > function devices. > > Shouldn't that

Bug#888548: kismet: Update to a more recent version

2018-12-06 Thread Daniel Moran
Hi, The Kismet downloads page now shows a new version. Would it be possible to update the Kismet package? Or would a "Kismet-Beta" package be a better option? Thanks, Dan On Sat, 27 Jan 2018 23:47:13 +0100 Nikos Andrikos wrote: > Hi Thomas, > > From what I see there is no newer release in

Bug#915802: apt-lisbugs: [INTL:pt] Portuguese translation

2018-12-06 Thread Miguel Figueiredo
Package: apt-listbugs Version: 0.1.26 Tags: l10n, patch Severity: wishlist Updated Portuguese translation for apt-listbugs messages. Feel free to use it. For translation updates please contact 'Last Translator' or the Portuguese Translation Team . -- Best regards / Melhores cumprimentos,

Bug#915778: lintian.debian.org: broken git repo link in page footers

2018-12-06 Thread Chris Lamb
Felix Lechner wrote: > Maybe the actual website has not been updated? The website has been updated since that commit (it is built from lintian.git after all...), it's just that lindsay.debian.org has it's own local configuration which overrides the one in the repository. Regards, --

Bug#915682: Migration bug

2018-12-06 Thread Xavier
Control: reopen -1 Hello, thanks for this report, this is an update bug: 1.9.18+ds-1 version didn't clean these links. I'll push 2.0.0+ds-2 that clean old links. Cheers, Xavier

Bug#915803: pytest: insecure use of /tmp

2018-12-06 Thread Jakub Wilk
Source: pytest Version: 3.10.1-1 Tags: security The "tmpdir" fixture[*] uses /tmp/pytest-of-$USER/ as a temporary directory, even when this directory already exist and is owned by another (potentially malicious) user: $ ls -ld /tmp/pytest-of-jwilk/ drwxrwxrwx 2 mallory mallory 40 Dec 6

Bug#915791: tomcat9: broken symlinks: /var/lib/tomcat9/{logs,work}

2018-12-06 Thread Emmanuel Bourg
Le 06/12/2018 à 21:01, Andreas Beckmann a écrit : > during a test with piuparts I noticed your package ships (or creates) > a broken symlink. > > From the attached log (scroll to the bottom...): > > 0m40.0s ERROR: FAIL: Broken symlinks: > /var/lib/tomcat9/work -> ../../cache/tomcat9 (tomcat9)

Bug#891633: aolserver4: Should this package be removed?

2018-12-06 Thread Moritz Mühlenhoff
On Wed, Dec 05, 2018 at 07:43:00AM -0500, Scott Kitterman wrote: > Please either file rm bugs for them or remove the depenency. Once that's > done, please remove the moreinfo tag. Ack. I'll take care of that. Cheers, Moritz

Bug#915805: Should this package be removed?

2018-12-06 Thread Moritz Muehlenhoff
Source: swift-im Severity: serious Should swift-im be removed? - No upload since more than two years - Totally outdated compared to upstream - Virtually no users in popcon - Depends on legacy libs (OpenSSL 1.0, qt4) Unless any objections are raised, I'd reassign this bug to ftp.debian.org for

Bug#915261: SysV init regression thanks to broken "container detection" logic

2018-12-06 Thread GSR
Package: udev Version: 239-14 Followup-For: Bug #915261 Severity: serious Severity should be at least serious, for two reasons. First so it gets listed with apt-listbugs default levels and people can decide what to do. And second, it does not affect every user, but those affected have to handle a

Bug#884365: hdf5: CVE-2017-17505 CVE-2017-17506 CVE-2017-17507 CVE-2017-17508 CVE-2017-17509

2018-12-06 Thread Gilles Filippini
On Thu, 14 Dec 2017 16:17:51 +0100 Salvatore Bonaccorso wrote: > Source: hdf5 > Version: 1.8.13+docs-1 > Severity: important > Tags: security upstream > > Hi, > > the following vulnerabilities were published for hdf5, the POCs are > found at [5]. Apart of CVE-2017-17509, all are confirmed back

Bug#915626: python-django: FTBFS: _pickle.PicklingError: Can't pickle : it's not the same object as django.contrib.admin.templatetags.admin_list.paginator_

2018-12-06 Thread GCS
Hi Chris, On Thu, Dec 6, 2018 at 5:05 PM Chris Lamb wrote: > I can reproduce this with libsqlite3-0 3.26.0-1 (currently in sid) but > not with 3.25.3-2 (currently in buster). I've forwarded the test part > to Django upstream here: > > https://code.djangoproject.com/ticket/30016 > > … but it

Bug#912850: Package installs completions files into obsolete directory

2018-12-06 Thread Gabriel F. T. Gomes
I opened this bug report before I ever read bug #551707 [1], more specifically, message #40 [2]. I'm sorry if this caused a harsh impression, as that was not my intention, at all (I opened similar bug reports for other packages [3][4][5], all at the same time). Please let me know if you still

Bug#838503: debian-installer: mdadm should not start syncing RAID1 arrays at full speed during installation

2018-12-06 Thread Steve McIntyre
[ Responding to this old bug, prompted by discussion in #debian-boot tonight ] On Sat, Jun 24, 2017 at 09:01:49PM +0200, Cyril Brulebois wrote: >Hi Baptiste, > >Baptiste Jonglez (2016-09-21): >> When creating a RAID1 array in the debian-installer and using it for >> the installation, mdadm

Bug#915652: ganeti: Fails to build reproducibly: embeds path of ip found via PATH

2018-12-06 Thread Apollon Oikonomopoulos
Hi Andreas! On 22:13 Thu 06 Dec , Andreas Henriksson wrote: > I agree that fixing these merged-usr reproducability issues on their > own > is pretty useless, not only for ganeti but for all affected packages. > Still I'm attaching a patch that makes ganeti reproducible in > merged-usr vs

Bug#838503: debian-installer: mdadm should not start syncing RAID1 arrays at full speed during installation

2018-12-06 Thread Steve McIntyre
On Thu, Dec 06, 2018 at 11:09:01PM +, Steve McIntyre wrote: >[ Responding to this old bug, prompted by discussion in #debian-boot > tonight ] > >On Sat, Jun 24, 2017 at 09:01:49PM +0200, Cyril Brulebois wrote: >>Hi Baptiste, >> >>Baptiste Jonglez (2016-09-21): >>> When creating a RAID1 array

Bug#915550: libautodie-perl: superseded by perl

2018-12-06 Thread Dominic Hargreaves
On Tue, Dec 04, 2018 at 07:52:19PM +0200, Niko Tyni wrote: > Package: libautodie-perl > Version: 2.29-2 > Severity: serious > > This is a separately packaged version of a module that > is also bundled with Perl core. > > The last upstream release of autodie was over three years ago, despite >

Bug#625469: improvements for tar, cryptsetup, imagemagick completions and the _parse_help function

2018-12-06 Thread Gabriel F. T. Gomes
Hello, Frank, On Tue, 3 May 2011 20:02:54 +0200 David Paleino wrote: > > On Tue, 03 May 2011 10:46:19 -0700, Frank Harwald wrote: > > > Package: bash-completion > > Version: 1.2-3 > > > > I made several improvements for the bash-completion package. > > [..] > > Would you please make a clone

Bug#884365: hdf5: CVE-2017-17505 CVE-2017-17506 CVE-2017-17507 CVE-2017-17508 CVE-2017-17509

2018-12-06 Thread Salvatore Bonaccorso
Control: clone 884365 -1 Control: retitle 884365 hdf5: CVE-2017-17505 CVE-2017-17506 CVE-2017-17508 CVE-2017-17509 Control: retitle -1 hdf5: CVE-2017-17507 Control: fixed 884365 1.10.2+repack-1~exp1 Hi Gilles! On Thu, Dec 06, 2018 at 11:02:17PM +0100, Gilles Filippini wrote: > On Thu, 14 Dec

Bug#915805: Should this package be removed?

2018-12-06 Thread W. Martin Borgert
On 2018-12-06 22:55, Moritz Muehlenhoff wrote: > Unless any objections are raised, I'd reassign this bug to ftp.debian.org > for removal. I contacted the maintainers about the package in April, but did not yet receive an answer.

Bug#915810: lm-sensors: FTBFS during arch-indep-only build

2018-12-06 Thread Andreas Beckmann
Source: lm-sensors Version: 1:3.5.0-1 Severity: serious Justification: fails to build from source (but built successfully in the past) Hi, lm-sensors FTBFS during a arch-indep-only build (dpkg-buildpackage -A) debian/rules binary-indep dh binary-indep --with systemd

Bug#915804: Should this package be removed?

2018-12-06 Thread Moritz Muehlenhoff
Source: cfengine2 Severity: serious This is replaced by src:cfengine2 and stretch has both cfengine2 and cfengine3, so users can migrate within a stable release to 3. The current version is also RC-buggy for a long time and blocks the removal of OpenSSL 1.0. Cheers, Moritz

Bug#915799: general: libGL.so.1 Missing

2018-12-06 Thread Hilmar Preusse
On 06.12.18 Finn Haese (debianbugrep...@web.de) wrote: Hi, > Steam fails to start, libGL.so.1 is missing. > Not able to submit bug for "Steam", not found in list of packages > when trying to submit bug. > apt-file should help you to find the packageif it is a Debian package. Hilmar --

Bug#856505: This patch should solve the audio problem

2018-12-06 Thread Santiago Garcia Mantinan
Hi! Based on eHenry's instructions I have created this patch which I have tested on Debian's 4.19 kernel now on experimental, where we have already enabled the sound driver which was not working. The result is that with this patch the sound is finally working, so, please apply this to the 4.19

Bug#915806: jabref FTBFS

2018-12-06 Thread Adrian Bunk
Source: jabref Version: 3.8.2+ds-9 Severity: serious Tags: ftbfs https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/jabref.html ... gradle --info --console plain --offline --stacktrace --no-daemon --refresh-dependencies --gradle-user-home .gradle -Duser.home=.

Bug#913946: llvm*7 unstripped

2018-12-06 Thread Rebecca N. Palmer
dh_strip uses objcopy as well as strip, so we might need to similarly force that to the LLVM version. That won't work: LLVM objcopy doesn't accept --compress-debug-sections, and accepts but ignores --only-keep-debug. https://sources.debian.org/src/debhelper/11.5.3/dh_strip/#L308 Also, LLVM

Bug#915151: gzip FTBFS: ../../lib/fseeko.c:110:4: error: #error "Please port gnulib fseeko.c to your platform! Look at the code in fseeko.c, then report this to bug-gnulib."

2018-12-06 Thread Rene Luria
Hello, On Sat, 1 Dec 2018 08:07:24 +0100 Helmut Grohne wrote: > gzip fails to build from source in unstable (since the glibc upgrade to > 2.28): (…) > gnulib likes to use this construct to detect glibc: > > | #if defined _IO_ftrylockfile || __GNU_LIBRARY__ == 1 /* GNU libc, BeOS, > Haiku,

Bug#915366: perlfaq4: the section on indented here documents should mention the ~ modifier

2018-12-06 Thread Dominic Hargreaves
On Sun, Dec 02, 2018 at 11:17:47PM -0500, Celejar wrote: > perlfaq4 has a question "Why don't my < of the answer deals with ways to write indented here documents. These > are largely kludges, however, and the faq should really mention the ~ > modifier (desribed in perlop), which was introduced

Bug#914915: mmdebstrap: Please make it possible to bootstrap w/ or w/o merged /usr

2018-12-06 Thread Johannes Schauer
On Wed, 28 Nov 2018 16:45:27 +0100 Guillem Jover wrote: > This package defaults to bootstrapping a Debian system with the > hackish merged /usr via symlinks, but it provides no way to disable > that. It would be nice if it had an option to select either mode > explicitly, say some --[no-]whatever

Bug#915808: Current dtb for raspberry pi 3b doesn't allow wifi to be used

2018-12-06 Thread Santiago Garcia Mantinan
Package: src:linux Version: 4.18.20-2 Severity: normal Tags: patch Hi! After kernel 4.17 the dtb for raspberry pi 3 b is not ok and thus the wifi is not found and cannot be used. Looking at the differences from 4.17 to 4.18 I have discovered that if you revert this single patch affecting only

Bug#814218: lua-ldap: Add support for Lua 5.2

2018-12-06 Thread W. Martin Borgert
patch to fix potential privacy problems in documentation Description: fix potential privacy problems in documentation Author: W. Martin Borgert Origin: vendor Last-Update: 2018-12-07 --- This patch header follows DEP-3: http://dep.debian.net/deps/dep3/ --- a/doc/us/index.html +++

Bug#915629: git-buildpackage: Allow --ignore-branch for 'gbp pq'

2018-12-06 Thread Juan Navarro
On 5/12/18 14:18, Guido Günther wrote: Hi, On Wed, Dec 05, 2018 at 01:45:59PM +0100, Juan Navarro wrote: Source: git-buildpackage Version: 0.9.10 Severity: wishlist When trying to import the patch-queue from a checked out state that is not on a branch (e.g. from a previous commit which is

Bug#915809: colmap: Please reenable SSE / SSE2 on amd64

2018-12-06 Thread Witold Baryluk
Package: colmap Version: 3.5-1 Severity: normal In rules I see: ifeq (,$(filter $(DEB_HOST_ARCH), amd64)) DEB_CPPFLAGS_MAINT_APPEND += -DDISABLE_CPU_SSE endif this is harmful and wrong. ALL amd64 implementations do support SSE and SSE2 and are required to. Usage of x87 instruction set

Bug#898048: gdb: Couldn't write extended state status: Bad address

2018-12-06 Thread JustAnotherArchivist
Dear all, I was now able to test my hypothesis that this is/was a bug in Linux that has been fixed since. Here's what I tried: 0. Under the old system, the test failed with the previously mentioned error message. To make sure it wasn't caused by some weird system state, I rebooted the

Bug#915785: perl6-zef: unowned directory after purge: /usr/lib/perl6/vendor/resources/

2018-12-06 Thread gregor herrmann
On Thu, 06 Dec 2018 19:58:38 +0100, Andreas Beckmann wrote: > The maintainer scripts create (and later remove) a file in that > directory. Manual directory removal may be not appropriate as this > directory is shared between several packages. rmdir --ignore-fail-on-non-empty --parents --verbose

Bug#906609: gnucash 1:3.3-1 FTBFS mips

2018-12-06 Thread Chris Lamb
found 906609 3.3-1 thanks Dear Bernhard, > It took some time to get there and below is the backtrace of the > test when crashing. Wow... nice work; thanks for you work on this. > Might the problem be that the template functions set_parameter paramter > "item" is of type "long long", therefore

Bug#876608: [Pkg-sass-devel] Bug#876608: ruby-compass (build) depends on ruby-sass (< 3.5), but 3.5.1-2 is in unstable

2018-12-06 Thread Jonas Smedegaard
Quoting Andrew Lee (李健秋) (2018-12-06 10:10:42) > Source: ruby-compass > Followup-For: Bug #876608 > > Yes, I checked the upstream is dead. However there are pull request to > fix this available on upstream's github: > https://github.com/Compass/compass/pull/2140 > > Please consider to include

Bug#881173: pidgin-sipe: Cannot accept incoming call

2018-12-06 Thread Tzafrir Cohen
Hi, I had a similar issue. I traced it to an unresolved problem with libnice: https://bugs.debian.org/914022 -- Tzafrir

Bug#915703: FTBFS: fails to correctly detect PETSc 3.10 version

2018-12-06 Thread Drew Parsons
Source: deal.ii Version: 9.0.0-2 Severity: important A build of deal.ii against PETSc 3.10 (currently in experimental) fails: -- -- Include /home/drew/projects/mathlibs/build/test/deal.ii-9.0.0/cmake/configure/configure_3_petsc.cmake -- Found PETSC_LIBRARY -- Found PETSC_INCLUDE_DIR_ARCH --

  1   2   3   >